Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 8165 - installer crashes after choosing upgrade
Summary: installer crashes after choosing upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 6.1
Hardware: alpha
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-04 16:40 UTC by pronk
Modified: 2018-11-27 20:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-14 17:20:02 UTC


Attachments (Terms of Use)

Description pronk 2000-01-04 16:40:12 UTC
both the GUI and the text-mode installer crash (during the 'finding
components to upgrade phase') on an alpha, after choosing the
upgrade installation method. The 'anaconda' python script crashes during a
gtk call which returns the debug dump:

Traceback (innermost last)
	File "/usr/bin/anaconda", line 243,
		in ?
	 		intf.run(todo, test=test)
	File "/usr/lib/python1.5/site-packages/text.py",line 1038,
		in run
			rc=apply(step[1](), step[2])
	File "/usr/lib/python1.5/site-packages/text.py", line 257,
		in __call__
			todo.upgradeFindPackages(root)
	File "/usr/lib/python1.5/site-packages/todo.py, line 1113,
		in upgradeFindPackages
			packages=rpm.findUpgradeSet
			(self.hdList.hdlist, self.instPath)
rpm.error: error during upgrade check

(this is what I got from the text-mode install exception stack dumper)

The machine is a DEC Personal Workstation 500a, with ATAPI CDROM and
a 4.3 gig HD attached to a QLogic ISP SCSI controller

Comment 1 Jay Turner 2000-02-14 17:19:59 UTC
Sounds like one of two things.  Either you have mount options in /etc/fstab
which are something other than "defaults" or you have files in your /RedHat/RPMS
directory which are not really RPM files.  The easiest way to determine whether
it is the second one it to run "ls | grep -v rpm" in the RedHat/RPMS directory
and see whether anything pops out.

My guess is that you have filesystems listed in /etc/fstab with mount options
other than "defaults"  This is a known bug which is fixed by making use of the
latest boot images available as errata.


Note You need to log in before you can comment on or make changes to this bug.